Subject: Re: bug#35300: 27.0.50; emacsclient on remote sessions no longer works

From: Glenn Morris <[email-masked]>
Date: Sat, 20 Apr 2019 13:42:45 -0400

Eli Zaretskii wrote:

> Feel free to suggest a more useful text, including for NEWS.

    *** emacsclient supports an EMACS_SOCKET_NAME environment variable.
    If set, it provides the default server socket filename.
    The command-line emacsclient option --socket-name overrides it.

    *** The Emacs server/client now use $XDG_RUNTIME_DIR/emacs for sockets,
    if the XDG_RUNTIME_DIR environment variable is defined.
    This is more secure than the old practice of using TMPDIR.
    If your client cannot find the server socket, check XDG_RUNTIME_DIR
    has the same value in both client and server environments.
    You can use the EMACS_SOCKET_NAME environment variable (see above)
    to specify a particular socket.